/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef JLOCO_PRINT_H
#define JLOCO_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/pomTclservClientEncode.h"

#include "server/tclservClient/genPosTclservClientEncode.h"


#include "server/jlocoPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_JLOCO_STATUS_POSTER_STR ( buf_t buf, struct JLOCO_STATUS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_JLOCO_MEPOS_POSTER_STR ( buf_t buf, struct JLOCO_MEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_JLOCO_STR ( buf_t buf, struct JLOCO_STR *x, int nDim, int *dims);
void buf_add_enum_JLOCO_MODE ( buf_t buf, enum JLOCO_MODE *x, int nDim, int *dims);
void buf_add_struct_JLOCO_ODO_CORRECTION ( buf_t buf, struct JLOCO_ODO_CORRECTION *x, int nDim, int *dims);
void buf_add_struct_JLOCO_VAR_PARAMS ( buf_t buf, struct JLOCO_VAR_PARAMS *x, int nDim, int *dims);
void buf_add_struct_JLOCO_NAME ( buf_t buf, struct JLOCO_NAME *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_JLOCO_NAME ( buf_t buf, JLOCO_NAME *x, int nDim, int *dims);
void buf_add_JLOCO_VAR_PARAMS ( buf_t buf, JLOCO_VAR_PARAMS *x, int nDim, int *dims);
void buf_add_JLOCO_ODO_CORRECTION ( buf_t buf, JLOCO_ODO_CORRECTION *x, int nDim, int *dims);
void buf_add_JLOCO_MODE ( buf_t buf, JLOCO_MODE *x, int nDim, int *dims);
void buf_add_JLOCO_STR ( buf_t buf, JLOCO_STR *x, int nDim, int *dims);
void buf_add_JLOCO_MEPOS_POSTER_STR ( buf_t buf, JLOCO_MEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_JLOCO_STATUS_POSTER_STR ( buf_t buf, JLOCO_STATUS_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* JLOCO_TCLSERV_CLIENT_ENCODE_H */

